Subject: bug#18905: GNU Libtool-2.4.3 released [stable]

From: "Gary V. Vaughan" <[email-masked]>
Date: Sun, 2 Nov 2014 15:51:15 +0000

Hi Michale,

> On Oct 31, 2014, at 10:28 AM, Michael Felt <[email-masked]> wrote:
> 
> Hello,
> I have compiled the new libtool on AIX (5.3 TL7 to be as backwards compatible from ±2007 to now).
> compiler is vac11, platform is Power5, shell is ksh (not bash!).
> 
> make check returns: (p.s. run after a "make DESTDIR=/var/tmp/root/libtool-2.4.3 install" to explain the messages re: test 82
> 
> Although this is a "hobby" of mine I will give as much time as I can to work with you to debug/correct the FAILED tests.

Welcome aboard! This is a hobby of mine too, as it is for most contributors :)

Thanks for the report, and the offer to help figure out the issues.  

> LIBTOOL is essential for ease of packaging tools! I do hope we will have a fruitful, constructive dialog.

The best way to get started is to pick a failing test, and first try to figure out why it failed, and then write and submit a patch that fixes the failure.  If one of the failures you're experiencing seems easier to diagnose and fix than the others, that's a great place to start.

I'll be happy to answer any questions you have on internals, and to help massage your patch into a committable state.

So, please let me know what I can do to help!

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)